import { Events, Client } from 'discord.js'
import registerCommands from '../registerCommands'

export const name = Events.ClientReady

export const once = true

export const execute = async ({ client }: { client: Client }) => {
  if (!client.user) throw Error('No client.user')

  console.log(`Ready! Logged in as ${client.user.tag}`)
  
  registerCommands()
}
