export default defineEventHandler(async (event) => {
  const userId: string = event.context.params ? event.context.params.id : '@me'

  const user = await getUser(userId, event)

  const { teamInvites } = await UserModel.findById(user._id).populate('teamInvites')

  return teamInvites
})
